## GnomeDbDsnAssistant

GnomeDbDsnAssistant — an assistant to create a new datasource

## Synopsis

                        GnomeDbDsnAssistant;
                        GnomeDbDsnAssistantClass;
                        GnomeDbDsnAssistantPrivate;
    GtkWidget*          gnome_db_dsn_assistant_new          (void);
    const GdaDataSourceInfo* gnome_db_dsn_assistant_get_dsn (GnomeDbDsnAssistant *assistant);

## Description

The GnomeDbDsnAssistant widget provides an easy way for users to declare new data sources. If the selected provider for the data source supports it, then a new database can be created if the user needs it.

## Details

### GnomeDbDsnAssistant

    typedef struct {
    	GtkAssistant                      assistant;
    	GnomeDbDsnAssistantPrivate *priv;
    } GnomeDbDsnAssistant;

### GnomeDbDsnAssistantClass

    typedef struct {
    	GtkAssistantClass                 parent_class;

    	void                           (* finished) (GnomeDbDsnAssistant *assistant, gboolean error);
    } GnomeDbDsnAssistantClass;

### GnomeDbDsnAssistantPrivate

    typedef struct _GnomeDbDsnAssistantPrivate GnomeDbDsnAssistantPrivate;

### gnome_db_dsn_assistant_new ()

    GtkWidget*          gnome_db_dsn_assistant_new          (void);

Returns : |

### gnome_db_dsn_assistant_get_dsn ()

    const GdaDataSourceInfo* gnome_db_dsn_assistant_get_dsn (GnomeDbDsnAssistant *assistant);

`assistant` : |
Returns : |

## See Also

The GnomeDbDsnEditor to edit a complete DSN definition.